void mu(void)
{
// plot the mu-metal permeability as a function of H
// Based on Hamamatsu Photomultiplier Tube Handbook p. 155

#include <TMath.h>
#include <TRandom.h>

gROOT->Reset();
//TTree *Bfield = (TTree *) gROOT->FindObject("Bfield");
gStyle->SetPalette(1,0);
gStyle->SetOptStat(kFALSE);
gStyle->SetPadRightMargin(0.15);
gStyle->SetPadLeftMargin(0.15);
gStyle->SetPadBottomMargin(0.15);
//

   TCanvas *c1 = new TCanvas("c1","Mu metal vs H",200,10,700,500);
   //
   double a = 140000;
   double b = 1e10;
   double c= 1e6;
   double d= 4;
   char string[256];   
   //
   double xmin = 0.001;
   double xmax = 1;
   double ymin = 1e4;
   double ymax = 5e5; 
   TF1 *perm = new TF1("perm","([0]+[1]*x*x)/([3]+[2]*x*x*x)",xmin,xmax);
   perm->SetParameters(a,b,c,d);
   c1->SetGridx();
   c1->SetGridy();
   c1->SetBorderMode(0);
   c1->SetFillColor(0);
   perm->SetTitle("");
   gPad->SetLogx(1);
   gPad->SetLogy(1);
   perm->GetYaxis()->SetRangeUser(ymin,ymax);
   perm->GetXaxis()->SetTitleSize(0.05);
   perm->GetYaxis()->SetTitleSize(0.05);
   perm->GetYaxis()->SetTitle("Permeability #mu");
   perm->GetXaxis()->SetTitle("Magnetic Field Strength (Oe)");
   perm->Draw();

   sprintf(string,"#mu = #frac{a + b H^{2}}{c + d H^{3}}\n");
   printf("string=%s",string);
   t1 = new TLatex(0.002,23000,string);
   //t1->SetNDC();
   t1->SetTextSize(0.04);
   t1->Draw();
   sprintf(string,"a = %.1e, b= %.1e, c= %.1e, d=%.1f\n",a,b,c,d);
   printf("string=%s",string);
   t1 = new TLatex(0.002,15000,string);
   //t1->SetNDC();
   t1->SetTextSize(0.04);
   t1->Draw();

   c1->SaveAs("mu.eps");
   c1->SaveAs("mu.gif");
}