void plotData2(void)
{
// plot measurements of shielding in a magnetic field.

#include <TMath.h>
#include <TRandom.h>

gROOT->Reset();
//TTree *Bfield = (TTree *) gROOT->FindObject("Bfield");
gStyle->SetPalette(1,0);
gStyle->SetOptStat(kFALSE);
gStyle->SetPadRightMargin(0.15);
gStyle->SetPadLeftMargin(0.15);
gStyle->SetPadBottomMargin(0.15);
//

   char string[256];

   // input data 
 
   Float_t a=4.03;
   Float_t b=4.13;
   Int_t npts=11;
   Float_t x[11]={55,60.65,70,75,80,85,90,95,100,105};
   Float_t y[11]={0.3,0.3,0.7,1.4,3.4,7.6,11.0,15.2,20,24,26.8};
     
   //
   TCanvas *c1 = new TCanvas("c1","Plot magnetic measurements",200,10,700,500);
   Float_t xmin = 50;
   Float_t xmax = 110;
   Float_t ymin = -5;
   Float_t ymax = 40;
   c1->SetGridx();
   c1->SetGridy();
   c1->SetBorderMode(0);
   c1->SetFillColor(0);
   TGraph *gr = new TGraph (npts,x,y);
   gr->GetXaxis()->SetRangeUser(xmin,xmax);
   gr->GetYaxis()->SetRangeUser(ymin,ymax);
   gr->GetXaxis()->SetTitleSize(0.05);
   gr->GetYaxis()->SetTitleSize(0.05);
   gr->GetXaxis()->SetTitle("External B-Field (G)");
   gr->GetYaxis()->SetTitle("B-Field Inside Shield (G)");
   gr->SetMarkerColor(2);
   gr->SetMarkerStyle(20);
   gr->SetTitle("");
   gr->Fit("pol1","","",76,110);
   TF1 *fit = gr->GetFunction("pol1");
   Float_t p0 = fit->GetParameter(0); 
   Float_t p1 = fit->GetParameter(1); 
   gr->Draw("AP");

   TF1 *calc = new TF1("calc","x-91",91,110);
   calc->SetLineStyle(2);
   calc->Draw("same");


   sprintf (string,"Fit function = %.1f + %.2f B\n",p0,p1);
   printf("string=%s",string);
   t1 = new TLatex(0.2,0.85,string);
   t1->SetNDC();
   t1->SetTextSize(0.04);
   t1->Draw();
   sprintf (string,"a= %.3f cm, b=%.3f cm\n",a,b);
   t1 = new TLatex(0.2,0.80,string);
   t1->SetNDC();
   t1->SetTextSize(0.04);
   t1->Draw();

   c1->SaveAs("plotData2.eps");
   c1->SaveAs("plotData2.gif");
}