void plotHmax(void)
{
// plot measurements of shielding in a magnetic field.

#include <TMath.h>
#include <TRandom.h>

gROOT->Reset();
//TTree *Bfield = (TTree *) gROOT->FindObject("Bfield");
gStyle->SetPalette(1,0);
gStyle->SetOptStat(kFALSE);
gStyle->SetPadRightMargin(0.15);
gStyle->SetPadLeftMargin(0.15);
gStyle->SetPadBottomMargin(0.15);
//

   char string[256];

   // input data 
 
   Float_t a=2.522;
   Float_t b=2.54;
   Int_t npts=5;
   Float_t x[5]={10,20,30,40,50};
   Float_t y[5]={-0.71,-0.55,2.91,12.61,21.56};
     
   //
   TCanvas *c1 = new TCanvas("c1","Plot Hmax vs t/b",200,10,700,500);
   Float_t xmin = 0;
   Float_t xmax = 0.04;
   Float_t ymin = 0;
   Float_t ymax = 150;
   Float_t p1=1;
   Float_t p2=1; 
   Float_t Bsat=7600;
   Int_t npts=2;
   Float_t x[2]={0.014,0.0242};
   Float_t y[2]={27,76};

// plot Hmax function

   TF1 *Hmax = new TF1("Hmax","[0]*x/2",xmin,xmax);
   TF1 *Hmax2 = new TF1("Hmax2","[0]*x/4",xmin,xmax);
   TGraph *gr = new TGraph (npts,x,y);
   Hmax->SetParameter(0,Bsat);
   Hmax2->SetParameter(0,Bsat);
   c1->SetGridx();
   c1->SetGridy();
   c1->SetBorderMode(0);
   c1->SetFillColor(0);
   Hmax->SetTitle("");
   // Hmax->GetXaxis()->SetRangeUser(xmin,xmax);
   Hmax->GetYaxis()->SetRangeUser(ymin,ymax);
   Hmax->GetXaxis()->SetTitleSize(0.05);
   Hmax->GetYaxis()->SetTitleSize(0.05);
   Hmax->GetXaxis()->SetTitle("t/b");
   Hmax->GetYaxis()->SetTitle("B_{max} (G)");
   Hmax->Draw();
   Hmax2->SetLineStyle(2);
   Hmax2->Draw("same");
   gr->SetMarkerColor(2);
   gr->SetMarkerSize(1.5);
   gr->SetMarkerStyle(21); 
   gr->Draw("P");

   sprintf (string,"B_{sat}=%.0f G\n",Bsat);
   printf("string=%s",string);
   t1 = new TLatex(0.2,0.85,string);
   t1->SetNDC();
   t1->SetTextSize(0.04);
   t1->Draw();
   t1 = new TLatex(0.35,0.5,"saturation");
   t1->SetNDC();
   t1->SetTextSize(0.03);
   t1->Draw();
   t1 = new TLatex(0.5,0.3,"0.5 saturation");
   t1->SetNDC();
   t1->SetTextSize(0.03);
   t1->Draw();
   

   c1->SaveAs("plotHmax.eps");
   c1->SaveAs("plotHmax.gif");
}